PSPVice v0.1 for PSP

DSC02357

Christophe has released a Commodore 64 emulator for the PSP, version 0.1. PSPVice is based upon PS2Vice made by Rami Rasanen. The C64 was an up-market version of the VIC-20. A wide range of software packages, games and programming languages was available for this machine which was itself available practically anywhere from a toyshop to a business supplier. Here is what he had to say about this release: “

History :
V0.1 :
What is working :
– Emulator works
– Speed is good
– Virtual keyboard
– D64 and T64 files support

What is not working :
– No sound
– Sometimes hang when enter menu
– Transparency not working (keyboard and menu display)

Usage :
– R1 : Display virtual keyboard. Circle : Press key, Square : Hold key
– Start : Menu
– Select : Pause”

You can get it in our PSP Download section [here].
Thanks for the news Kojote =)
Currently, this emulator will only run on PSPs with firmware version 1.0 or 1.50. If you do not know which firmware version your PSP has, or if you need help installing this application/game on your PSP, check one of our many informative FAQs. If you have a higher firmware version than 1.50 on your PSP, you cannot run this program.

DSC02357

Christophe has released a Commodore 64 emulator for the PSP, version 0.1. PSPVice is based upon PS2Vice made by Rami Rasanen. The C64 was an up-market version of the VIC-20. A wide range of software packages, games and programming languages was available for this machine which was itself available practically anywhere from a toyshop to a business supplier. Here is what he had to say about this release: “

History :
V0.1 :
What is working :
– Emulator works
– Speed is good
– Virtual keyboard
– D64 and T64 files support

What is not working :
– No sound
– Sometimes hang when enter menu
– Transparency not working (keyboard and menu display)

Usage :
– R1 : Display virtual keyboard. Circle : Press key, Square : Hold key
– Start : Menu
– Select : Pause”

You can get it in our PSP Download section [here].
Thanks for the news Kojote =)
Currently, this emulator will only run on PSPs with firmware version 1.0 or 1.50. If you do not know which firmware version your PSP has, or if you need help installing this application/game on your PSP, check one of our many informative FAQs. If you have a higher firmware version than 1.50 on your PSP, you cannot run this program.

Add a Comment

Your email address will not be published.